const highp float kPI = 3.1415926535897932384626433832795;

highp float random(highp vec2 st) 
{
	return fract(sin(dot(st.xy, vec2(12.9898,78.233))) * 43758.5453123);
}

highp vec2 encodeFloat16(highp float value)
{
    highp vec2 color = value * vec2(1.0, 255.0);
    color.g = fract(color.g);
    color.r -= color.g * (1.0 / 256.0);
    return clamp(color, 0.0, 1.0);
}

highp float decodeFloat16(highp vec2 value)
{
    return dot(value, vec2(1.0, 1.0 / 255.0));
}