
highp vec4 ParaboloidProject( highp vec4 posEyeSpace, highp float cameraFar )
{
	highp float dist = -posEyeSpace.z;
	highp vec4 posPS = normalize( posEyeSpace );
	posPS.xy /= 1.0 - posPS.z;
	posPS.z = ( dist / cameraFar ) * 2.0 - 1.0;
	posPS.w = 1.0;
	
	return posPS;
}