//
// THIS FILE IS GENERATED AUTOMATICALLY, DO NOT CHANGE IT BY HAND!
//


uniform highp mat4 inViewMatrix;
uniform highp mat4 worldMatrix;
uniform highp mat4 worldViewProjMatrix;


uniform highp vec3 	cameraPos;


uniform lowp vec2 DiffuseMapUVScale;
uniform lowp vec2 DiffuseMapUVOffset;

attribute vec4 inPos;
attribute vec4 inNormal;
attribute vec2 inUV0;

varying highp vec3 vNormal;

varying highp vec2 vUV0;

#ifdef RIM_LIGHT
varying highp vec3 vEyeDir;
#endif



varying highp vec3 vPositionWS;

varying mediump vec3 vViewEye;
varying mediump vec3 vViewNrm;

void main()
{	
	highp vec4 posOS = vec4( inPos.xyz, 1.0 );
	highp vec4 posWS = worldMatrix * posOS;
	vPositionWS = posWS.xyz;

	vViewEye = ( inViewMatrix * vec4( normalize(posWS.xyz - cameraPos),0.0) ).xyz;
	vViewNrm = ( inViewMatrix * vec4( inNormal.xyz, 0.0 )).xyz;
	
	vNormal = vec3( worldMatrix * vec4( inNormal.xyz, 0.0 ) );
	
	vUV0 = inUV0 * DiffuseMapUVScale + DiffuseMapUVOffset;
	
#ifdef RIM_LIGHT
	vEyeDir = cameraPos - posWS.xyz;
#endif

	gl_Position = worldViewProjMatrix * posOS;

}