uniform   highp mat4 inWorldViewProjMatrix;
				
attribute highp vec4 inPos;
attribute highp vec2 inTexCoords0;
attribute highp vec4 inColor;
attribute highp float testAttributeFloat;

varying   highp vec2 uv0;
varying   highp vec4 v_color;

void main()
{
	gl_Position = inWorldViewProjMatrix * vec4(inPos.xyz, 1.0);
	uv0 = inTexCoords0;
	v_color = inColor;
}