
// If you don't understand how this function works check out http://marcodiiga.github.io/encoding-normalized-floats-to-rgba8-vectors/
lowp float unpack_depth( lowp vec4 rgba_depth )
{
    return dot( rgba_depth, vec4( 1.0 / ( 256.0 * 256.0 * 256.0 ), 1.0 / ( 256.0 * 256.0 ), 1.0 / 256.0, 1.0 ) );
}

lowp float texture2DCompare( sampler2D shadowMap, lowp vec2 uv, lowp float refVal )
{
    return step( refVal, unpack_depth( texture2D( shadowMap, uv ) ) );
}